From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 1 August 2015<P>

Kirk,<BR>
<BR>
When I typed in www.loveblender.com it took me to your Kirk.is page. Thus, I was talking about the icons across the top of that page.<BR>
<BR>
I appreciate you fostering this little community for so long, and also appreciate that things have their time -- in the world and in our own lives. Thank you for a safe place to archive many of my own phases of romantic love.<BR>
<BR>
My relationship with some of those here has outlasted two marriages and a string of love interests! *laughing* Should you decide to markedly end the Love Blender, simply give us a soft landing. 
<HR>